curl --request GET \
--url https://api.amplemarket.com/contacts?ids[]={id} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.amplemarket.com/contacts"
params = {
"ids[]": [{id}]
}
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers, params=params)
print(response.text)
const params = new URLSearchParams();
params.append('ids[]', '{id}');
const options = {
method: 'GET',
headers: { Authorization: 'Bearer <token>' }
};
fetch(`https://api.amplemarket.com/contacts?${params.toString()}`, options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.amplemarket.com/contacts?ids[]={id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.amplemarket.com/contacts?ids[]={id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.amplemarket.com/contacts?ids[]={id}")
.header("Authorization", "Bearer <token>")
.asString();
{
"contacts": [
{
"id": "019f3cf5-cdc8-758a-9f50-d65e5e4894e8",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"linkedin_url": "https://linkedin.com/in/john-doe",
"email": "john.doe@example.com",
"time_zone": "Europe/Lisbon",
"location": "Lisbon, Lisbon, Portugal",
"title": "Software Engineer",
"company_domain": "amplemarket.com",
"company_name": "Amplemarket",
"owner": "user@example.com",
"last_contacted_at": "2026-07-05T14:22:49Z",
"phone_numbers": [
{
"id": "019f3cf5-cc5d-71cd-b258-676d36e955eb",
"object": "phone_number",
"number": "+1 639-300-0002",
"type": "mobile",
"source": "amplemarket",
"is_wrong_number": false,
"kind": "mobile"
}
]
}
]
}Contacts
Retrieve contacts
Retrieve contacts
GET
/
contacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional contact name filter. Use with or without account_id as an alternative to ids[]
Optional Prospect Hub account public ID filter. Use with or without name as an alternative to ids[]
Optional contact ID filter (maximum of 20 ids). Use ids[] or name/account_id filters
Maximum array length:
20Response
Successful
Show child attributes
Show child attributes
Was this page helpful?
⌘I